메인 콘텐츠로 건너뛰기
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
reindex
카탈로그 재인덱싱 작업을 시작합니다
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "indexModelId": "<string>",
  "workflowProcessingId": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "completed": "<string>",
  "currentState": "InProgress"
}

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

경로 매개변수

catalogId
string
필수

카탈로그 식별자입니다. 모든 카탈로그 목록에서 확인할 수 있습니다.

응답

OK

id
string<uuid>

작업의 고유 ID

indexModelId
string | null

문서 분석에 사용되는 인덱스 모델 ID

workflowProcessingId
string | null

작업 워크플로 ID

created
string<date-time>

작업이 생성된 시간

completed
string | null

작업이 완료된 시간

currentState
enum<string>
사용 가능한 옵션:
InProgress,
Failed,
Completed